From 42b1fc28572944b2e5c8d544480e3b1c2099f65e Mon Sep 17 00:00:00 2001
From: Yu Daike <yu.daike@suse.com>
Date: Wed, 16 Aug 2023 14:01:14 +0800
Subject: [PATCH 25/26] Replace g_assert_cmpvariant

---
 glib/tests/gvariant.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

diff --git a/glib/tests/gvariant.c b/glib/tests/gvariant.c
index 88df708ad..b388a3dbd 100644
--- a/glib/tests/gvariant.c
+++ b/glib/tests/gvariant.c
@@ -2335,10 +2335,10 @@ test_byteswap (void)
    * @three_byteswapped if @two_variant and @three_variant are equal: in that
    * case, the corruption to @three_variant was enough to make it non-normal but
    * not enough to change its value. */
-  g_assert_cmpvariant (one_variant, two_byteswapped);
+  g_assert (g_variant_equal (one_variant, two_byteswapped));
 
   if (g_variant_equal (two_variant, three_variant))
-    g_assert_cmpvariant (two_byteswapped, three_byteswapped);
+    g_assert (g_variant_equal (two_byteswapped, three_byteswapped));
 
   g_variant_unref (three_byteswapped);
   g_variant_unref (three_variant);
@@ -3784,7 +3784,7 @@ test_gv_byteswap_non_normal_non_aligned (void)
   v_byteswapped = g_variant_byteswap (v);
   g_assert_true (g_variant_is_normal_form (v_byteswapped));
 
-  g_assert_cmpvariant (v, v_byteswapped);
+  g_assert (g_variant_equal (v, v_byteswapped));
 
   g_variant_unref (v);
   g_variant_unref (v_byteswapped);
@@ -4889,7 +4889,7 @@ test_normal_checking_array_offsets_overlapped (void)
   g_assert_nonnull (normal_variant);
 
   expected_variant = g_variant_new_parsed ("[@ay [], []]");
-  g_assert_cmpvariant (normal_variant, expected_variant);
+  g_assert (g_variant_equal (normal_variant, expected_variant));
 
   g_assert_cmpmem (g_variant_get_data (normal_variant), g_variant_get_size (normal_variant),
                    g_variant_get_data (expected_variant), g_variant_get_size (expected_variant));
@@ -4956,8 +4956,8 @@ test_normal_checking_array_offsets2 (void)
 
   expected = g_variant_new_parsed (
       "[[[[[[['hi', '', ''], [], []], [], []], [], []], [], []], [], []], [], []]");
-  g_assert_cmpvariant (expected, variant);
-  g_assert_cmpvariant (expected, normal_variant);
+  g_assert (g_variant_equal (expected, variant));
+  g_assert (g_variant_equal (expected, normal_variant));
 
   g_variant_unref (expected);
   g_variant_unref (normal_variant);
@@ -5113,8 +5113,8 @@ test_normal_checking_tuple_offsets2 (void)
 
   expected = g_variant_new_parsed (
       "@(yyaiyyaiyy) (0x12, 0x34, [], 0x00, 0x00, [], 0x00, 0x00)");
-  g_assert_cmpvariant (expected, variant);
-  g_assert_cmpvariant (expected, normal_variant);
+  g_assert (g_variant_equal (expected, variant));
+  g_assert (g_variant_equal (expected, normal_variant));
 
   g_variant_unref (expected);
   g_variant_unref (normal_variant);
@@ -5172,8 +5172,8 @@ test_normal_checking_tuple_offsets3 (void)
   g_assert_cmpuint (g_variant_get_size (normal_variant), <=, size * 3);
 
   expected = g_variant_new_parsed ("@(ayayiay) ([], [], 0, [])");
-  g_assert_cmpvariant (expected, variant);
-  g_assert_cmpvariant (expected, normal_variant);
+  g_assert (g_variant_equal (expected, variant));
+  g_assert (g_variant_equal (expected, normal_variant));
 
   g_variant_unref (expected);
   g_variant_unref (normal_variant);
@@ -5230,8 +5230,8 @@ test_normal_checking_tuple_offsets4 (void)
   g_assert_cmpuint (g_variant_get_size (normal_variant), <=, size * 3);
 
   expected = g_variant_new_parsed ("@(ayayay) ([], [], [])");
-  g_assert_cmpvariant (expected, variant);
-  g_assert_cmpvariant (expected, normal_variant);
+  g_assert (g_variant_equal (expected, variant));
+  g_assert (g_variant_equal (expected, normal_variant));
 
   g_variant_unref (expected);
   g_variant_unref (normal_variant);
-- 
2.41.0


